org.apache.fontbox.ttf.table.gsub

## Class LookupTypeAlternateSubstitutionFormat1

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LookupSubTable
  - - org.apache.fontbox.ttf.table.gsub.LookupTypeAlternateSubstitutionFormat1

    public class LookupTypeAlternateSubstitutionFormat1
    extends LookupSubTable

Lookup Type 3: Alternate Substitution Subtable as described in OpenType spec: ...

### Constructor Summary

Constructors
Constructor and Description
`LookupTypeAlternateSubstitutionFormat1(int substFormat, CoverageTable coverageTable, AlternateSetTable[] alternateSetTables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doSubstitution(int gid, int coverageIndex)`
`AlternateSetTable[]` `getAlternateSetTables()`

### Methods inherited from class org.apache.fontbox.ttf.table.common.LookupSubTable

`getCoverageTable, getSubstFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupTypeAlternateSubstitutionFormat1

    public LookupTypeAlternateSubstitutionFormat1(int substFormat,
                                                  CoverageTable coverageTable,
                                                  AlternateSetTable[] alternateSetTables)

### Method Detail

#### getAlternateSetTables

    public AlternateSetTable[] getAlternateSetTables()

#### doSubstitution

    public int doSubstitution(int gid,
                              int coverageIndex)

Specified by:
  `doSubstitution` in class `LookupSubTable`